package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

/**
 * @author hongzq
 */
public class TraderOrderReq implements Serializable {
    @NotBlank
    private String orderId;

    @Valid
    @NotEmpty
    private List<TraderOrderDetailReq> details;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public List<TraderOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<TraderOrderDetailReq> details) {
        this.details = details;
    }
}
